void init()
{
    //initialising
    SDL_Init          ( SDL_INIT_EVERYTHING );
    TTF_Init          (                     );
    Mix_OpenAudio     ( 44100, MIX_DEFAULT_FORMAT, 2, 4096 );
    SDL_WM_SetCaption ( "Tetris", NULL );
    SDL_WM_SetIcon    ( SDL_LoadBMP("Tetris.bmp" ), NULL);

    //Loading images
    background      = IMG_Load      ( "back.jpg"                  );
    menu_background = IMG_Load      ( "menu_background.jpg"       );
    GRID            = IMG_Load      ( "Graphics/GRID.png"         );
    RED             = IMG_Load      ( "Graphics/RED.png"          );
    BLUE            = IMG_Load      ( "Graphics/BLUE.png"         );
    YELLOW          = IMG_Load      ( "Graphics/YELLOW.png"       );
    ORANGE          = IMG_Load      ( "Graphics/ORANGE.png"       );
    DBLUE           = IMG_Load      ( "Graphics/DBLUE.png"        );
    GREEN           = IMG_Load      ( "Graphics/GREEN.png"        );
    PURPLE          = IMG_Load      ( "Graphics/PURPLE.png"       );
    TUBIN           = IMG_Load      ( "Graphics/TUBIN.png"        );
    TRANSPARENT     = IMG_Load      ( "Graphics/TRANSPARENT.png"  );
    currentblock    = IMG_Load      ( "Graphics/currentblock.png" );
    nextblock       = IMG_Load      ( "Graphics/nextblock.png"    );
    heldblock       = IMG_Load      ( "Graphics/heldblock.png"    );
    ghostblock      = IMG_Load      ( "Graphics/currentblock.png" );
    currentblock2   = IMG_Load      ( "Graphics/currentblock.png" );
    nextblock2      = IMG_Load      ( "Graphics/nextblock.png"    );
    heldblock2      = IMG_Load      ( "Graphics/heldblock.png"    );
    ghostblock2     = IMG_Load      ( "Graphics/currentblock.png" );
    pause           = IMG_Load      ( "Graphics/pause.png"        );
    playnow         = SDL_LoadBMP   ( "Graphics/playnow.bmp"      );
    instructions    = SDL_LoadBMP   ( "Graphics/Instructions.bmp" );
    title           = SDL_LoadBMP   ( "Graphics/title.bmp"       );

    credit          = SDL_LoadBMP   ( "Graphics/credits.bmp"      );
    quitbutton      = SDL_LoadBMP   ( "Graphics/quit.bmp"         );
    pointer         = SDL_LoadBMP   ( "Graphics/Pointer.bmp"      );
    deathscreen     = SDL_LoadBMP   ( "Graphics/deathscreen.bmp"  );
    deathscreen1    = SDL_LoadBMP   ( "Graphics/deathscreen1.bmp" );
    deathscreen2    = SDL_LoadBMP   ( "Graphics/deathscreen2.bmp" );
    instructionpage = SDL_LoadBMP   ( "Graphics/Instruction.bmp"  );
    instructionpage2= SDL_LoadBMP   ( "Graphics/Instruction2.bmp" );
    creditpage      = SDL_LoadBMP   ( "Graphics/creditpage.bmp"   );
    GHOST           = IMG_Load      ( "Graphics/GHOST.png"        );
    player1         = IMG_Load      ( "Graphics/player1.bmp"      );
    player2         = IMG_Load      ( "Graphics/player2.bmp"      );
    high            = SDL_LoadBMP   ( "Graphics/high.bmp"   );


    //setting certain colors as transparent
    Uint32 colorkey  = SDL_MapRGB ( currentblock->format, 0, 0xFF, 0xFF );
    Uint32 colourkey = SDL_MapRGB (      playnow->format, 0,    0,    0 );

    SDL_SetColorKey ( currentblock, SDL_SRCCOLORKEY, colorkey  );
    SDL_SetColorKey (    nextblock, SDL_SRCCOLORKEY, colorkey  );
    SDL_SetColorKey (    heldblock, SDL_SRCCOLORKEY, colorkey  );
    SDL_SetColorKey (   ghostblock, SDL_SRCCOLORKEY, colorkey  );
    SDL_SetColorKey ( currentblock2, SDL_SRCCOLORKEY, colorkey );
    SDL_SetColorKey (    nextblock2, SDL_SRCCOLORKEY, colorkey );
    SDL_SetColorKey (    heldblock2, SDL_SRCCOLORKEY, colorkey );
    SDL_SetColorKey (   ghostblock2, SDL_SRCCOLORKEY, colorkey );
    SDL_SetColorKey ( instructions, SDL_SRCCOLORKEY, colourkey );
    SDL_SetColorKey (       credit, SDL_SRCCOLORKEY, colourkey );
    SDL_SetColorKey (   quitbutton, SDL_SRCCOLORKEY, colourkey );
    colorkey = SDL_MapRGB (         pointer->format,  0,  0, 0 );
    SDL_SetColorKey (      pointer, SDL_SRCCOLORKEY, colorkey  );
    SDL_SetColorKey (  deathscreen, SDL_SRCCOLORKEY, colorkey  );
    SDL_SetColorKey (   creditpage, SDL_SRCCOLORKEY, colorkey  );
    SDL_SetColorKey (      playnow, SDL_SRCCOLORKEY, colourkey );
    colorkey = SDL_MapRGB ( instructionpage->format,  0,  0, 0 );
    SDL_SetColorKey (instructionpage, SDL_SRCCOLORKEY, colorkey);
    SDL_SetColorKey (instructionpage2, SDL_SRCCOLORKEY, colorkey);
    SDL_SetColorKey (        player1, SDL_SRCCOLORKEY, colorkey);
    SDL_SetColorKey (        player2, SDL_SRCCOLORKEY, colorkey);
    SDL_SetColorKey (          title, SDL_SRCCOLORKEY, colourkey);
        //Set up screen//
      screen = SDL_SetVideoMode ( 640, 480,  32, SDL_SWSURFACE );

        //Load font//
        font = TTF_OpenFont ( "Font/font.ttf", 25 );
        SDL_Color blacktext = { 255, 255, 255 };
        nextblockhead = TTF_RenderText_Solid ( font, "NEXT Block", blacktext );
        heldblockhead = TTF_RenderText_Solid ( font, "HELD Block", blacktext );
        nextblockhead2 = TTF_RenderText_Solid ( font, "NEXT", blacktext );
        heldblockhead2 = TTF_RenderText_Solid ( font, "HELD", blacktext );
        //Load Sound//
        music       = Mix_LoadMUS ( "AUDIO/music.wav"       );
        smovement   = Mix_LoadWAV ( "AUDIO/smovement.wav"   );
        scollide    = Mix_LoadWAV ( "AUDIO/scollide.wav"    );
        sdrop       = Mix_LoadWAV ( "AUDIO/sdrop.wav"       );
        slinevanish = Mix_LoadWAV ( "AUDIO/slinevanish.wav" );
        sgameover   = Mix_LoadWAV ( "AUDIO/sgameover.wav"   );
        spause      = Mix_LoadWAV ( "AUDIO/spause.wav"      );
        smenu       = Mix_LoadWAV ( "AUDIO/smenu.wav"       );

}
